Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1693432 - [RFE] Using "LOCATIONS" within IPA, roipa-replica-install fails trying to contact wrong master [NEEDINFO]
Summary: [RFE] Using "LOCATIONS" within IPA, roipa-replica-install fails trying to con...
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ipa
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.1
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-27 19:40 UTC by kludhwan
Modified: 2019-04-01 11:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-27 19:41:06 UTC
Type: Bug
Target Upstream Version:
fcami: needinfo? (kludhwan)


Attachments (Terms of Use)

Description kludhwan 2019-03-27 19:40:10 UTC
2 LOCATIONS defined in IPA, DEV and PROD. 3 current IPA servers - 2 in PROD and 1 in DEV. They are in distinct subnets and firewall off except the masters can talk. When tryin to add a 4th replica in DEV, it fails with 2 issues listed in detail below - both having to do with LOCATIONS feature.

[root@IPA1 ~]# ipa-replica-install --setup-dns --no-forwarders --setup-ca
ipaserver.install.server.replicainstall: ERROR    Could not resolve hostname IPA1.example.com using DNS. Clients may not function properly. Please check your DNS setup. (Note that this check queries IPA DNS directly and ignores /etc/hosts.)
Continue? [no]: 
Your system may be partly configured.
Run /usr/sbin/ipa-server-install --uninstall to clean up.

ipa2ython.admintool: ERROR    The ipa-replica-install command failed. See /var/log/ipareplica-install.log for more information

and review the log (attached ) you will see it is trying to contact ipa2 which is 10.1.x.x and located in PROD location. DEV location is defined as 10.0 network. 

In the second example, the option of --no-host-dns is used to stop the lookup, but instead it fails later as it tries to contact the LDAP server, but again, in PROD and NOT DEV. It is as though the locations are reversed.

These are locations as defined: 
[root@IPA1 ~]# ipa server-show IPA1.example.com (IP = 10.0.x.X)
  Server name: IPA1.example.com
  Managed suffixes: domain, ca
  Min domain level: 0
  Max domain level: 1
  Location: DEV
  Enabled server roles: CA server, IPA master, DNS server, NTP server

[root@IPA1 ~]# ipa server-show ipa2.example.com (IP = 10.1.x.x)
  Server name: ipa2.example.com
  Managed suffixes: domain, ca
  Min domain level: 0
  Max domain level: 1
  Location: PROD
  Enabled server roles: CA server, IPA master, DNS server, NTP server

[root@IPA1 ~]# ipa server-show ipa3.example.com (IP = 10.1.x.x)
  Server name: ipa3.example.com
  Managed suffixes: domain
  Min domain level: 0
  Max domain level: 1
  Location: PROD
  Enabled server roles: IPA master, DNS server, NTP server


overall current layout

ipa3 <---> ipa2 <--- | ---> IPA1 <---> (trying to create) IPA1 
                                          ^
                                   Firewall allowing ony IPA servers to talk

Once IPA1 is created it  will be connected to another outside replica then back to ipa3 to complete the ring.

Comment 2 kludhwan 2019-03-27 19:41:06 UTC

*** This bug has been marked as a duplicate of bug 1693421 ***

Comment 3 kludhwan 2019-03-27 19:43:10 UTC
*** Bug 1693421 has been marked as a duplicate of this bug. ***

Comment 6 François Cami 2019-03-29 16:32:14 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/7744

Comment 10 François Cami 2019-03-29 19:01:56 UTC
Fixed upstream:
ipa-4-7:
https://pagure.io/freeipa/c/745321469f00729231f5b8bf20958c0913eee5be

Comment 11 François Cami 2019-03-29 19:02:21 UTC
Fixed upstream:
ipa-4-6:
https://pagure.io/freeipa/c/902606cede341851607cb8e648d09a2ded2616ab

Comment 12 François Cami 2019-04-01 11:33:18 UTC
Moving to RHEL8.
Setting back to ASSIGNED as installing a location-specific replica is a valid RFE.


Note You need to log in before you can comment on or make changes to this bug.